Opened 11 years ago

Closed 10 years ago

#37 closed defect (fixed)

Gradual degredation and then system locks up w/20070817

Reported by: Carl Owned by: anonymous
Priority: critical Milestone:
Component: ACPI PSD Version: 3.02
Keywords: Cc:

Description

Since installing the ACPI-APM-20070817 packages, I have been having several problems:

Environment:

  • eCS 1.2R, w/all known fixes as applied by eCSMT
  • TPad T60 - Core Duo [not Core 2 Duo]
  • GenMac? for Network support, wired and wireless, generally working just fine now.
  • Comet mouse [which is the only way I know the system is about to lock up]

[If more specifics are required, please ask.]

1) All of a sudden the mouse 'tail' does not disappear from the screen. The system gets slower and slower and eventually clicking on any window, object, etc., does nothing. ReBoot? is required.

2) IF I happen to catch #1 soon enough and can click on eCenter to try to ReBoot?, I sometimes get as far as clicking on 'Shutdown' but then nothing happens. A-C-D brings up the small message box that "System is rebooting..." but it just hangs there. The Power Off Button is required to complete the shutdown/reboot. And, I have to hold the button down for about 5 seconds before the system will actually power off. Power On then reboots OK. Usually, but not always, the HD volumes are clean and CHKDSKs are not required.

The time from one reboot to the failure/lock up varies from a few minutes [less than ten] to hours. I cannot tie the problem to any application. I've stopped all user tasks such as PMMail, SeaMonkey?, editors, et al. The system remains locked except for being able to move the mouse around. [The comet trail usually remains on the screen 'permanently' until I reboot.]

I have not yet gone to the effort of trying to back out the 20070817 level. I installed with the 'acpifu-20070817.wpi' file, so I assume WarpIN can do this. [I've never had to back out any package before.]

Any ideas, suggestions? Any other documentation that I can provide?

source: http://forum.ecomstation.ru/viewtopic.php?p=8155&sid=7f6980092b9f3b47cfae05fb91ad9596#8155

Attachments (6)

acpi-01.log (31.7 KB) - added by cgehr 11 years ago.
acpi-21Sep2007#1.log (17.1 KB) - added by cgehr 11 years ago.
ACPI Log after boot with standard charger for power. [No Dock]
ACPI_Trap-0008.jpg (60.8 KB) - added by cgehr 11 years ago.
Trap - TPad in Dock; Rem'd PRINT01.SYS
ACPI-V33_Trap000E.jpg (58.2 KB) - added by cgehr 11 years ago.
Trap 000e in OS2KRNL: ACPI V3.3; /SMP; NOT in Dock
RMView-IRQ.Txt (1.3 KB) - added by guest 11 years ago.
RMView-IRQ.2.Txt (1.3 KB) - added by guest 11 years ago.

Download all attachments as: .zip

Change History (48)

Changed 11 years ago by cgehr

comment:1 Changed 11 years ago by cgehr

I have added more comments on the forum, but I wanted to add one key point here: I have backed off to the 20070809 level. Since I took that action, two days ago, the problem has not occurred. One more symptom that has gone away as a result of the backout: Prior to the backout, if I unplugged the TPad to run on battery for a short period, the system continued to run UNTIL I plugged the system back in. At that point, the system would do a hard shutdown. To get the system back required:

  • Power off.
  • Reboot that resulted in dirty HD recovery.

This problem no longer occurs with the 20070809 level.

comment:2 Changed 11 years ago by cgehr

  • Priority changed from major to critical

Well, I thought the back off to 20070809 solved the problem. Unfortunately, not the case. Here are additional steps and results: 1) After running a day or so, the degradation problem returned. It does not happen as often, but as before, it may run for several hours, or the problem may exist almost immediately after a reboot. 2) I discovered that my CD/DVD drive was not being recognized. It turned out that problem was due to installation [manually, because eCSMT does not yet support] the latest Dani Drivers. And, because I had manually copied DANIATAPI.DMD but not realized that eCS was using the 8.3 name, the system was picking up an old level. Renaming the driver file to DANIATAP.DMD allowed the new driver to be recognized and, again, it appeared this had solved the problem. But, the lockup eventually did return. 3) Reading Dani's documentation more carefully, I found the following:

To make SCSI or ATAPI devices visible to programs which use the ASPI API, you'll need the following two lines to be present in CONFIG.SYS! BASEDEV=OS2ASPI.DMD /ALL (/ALL makes all devices accessible) DEVICE=[path]\ASPIROUT.SYS or [path]\ASPINKK.SYS

I did not even have ASPIROUT.SYS on my system, nor could I find it on the eCS install CD. But, I was able to locate the package and installed and specified the above. I really do not know if I need this or not. I do not have any SCSI devices, the CD is not a SCSI device. But without at least the OS2ASPI.DMD, the RSJ software would not install/load correctly at boot time. So, figuring it could not hurt, I've left these two in the Config.Sys. As so many times before, it appeared to fix the problems, but now they're back again. 4) I read another thread on the eCS Install NG that pointed to a problem with OS2CDROM being back level. Based on the eCSMT Log, I had the latest IDEDASD and UDF fixes, but the files themselves were back level. So, I reapplied the fixes with eCSMT. The problem seems to be occuring less often, but still occurs at very unpredictable time intervals. [e.g., The system had been up all night last night with no problems. After using the system this morning for about an hour to deal with some E-Mails, it failed again. Reboot and it worked for only a few minutes. Reboot again, and it has now been OK for about an hour.

Honestly, this is becoming totally intolerable. I have been unable to get my REAL WORK done without interruptions for a couple of weeks. If this keeps up [especially with no response from anyone indicating that this problem is even being looked at], I am going to have to begin looking at an alternative operating system platform. [As such, I have raised the 'priority' to 'critical' in the dropdown below.

Please, I am willing to provide whatever information is necessary to diagnose this problem. But, aside from the request for the log [that was provided], no one has asked for any more information. So, I have no idea if anyone is looking at the problem or not.

comment:3 Changed 11 years ago by anonymous

The following is cut/paste from POSSI MailList? [responding to questions regarding the status of a T60 with eCS 2.0RC2 and 1.2R. There was a lot more in the post, but this is the latest status as of 10-Sep-2007, 12:47 EDT. Since I've not received any feedback regarding further diagnostic info, I assume nothing is needed.

One new strange symptom I just noticed:

While network access via WiFi? is working with no problems, the 'enable' light just under the screen on the T60 is flashing very fast [faster than I can count/second]. This has not been the case before. When enabled, the light is usually just on solid. This is new issue after making the changes described below.

=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+= As of: 09-Sep-2007, 23:38:34 -0400 (EDT) I added SMP to the ACPI to enable both processors...

  • The way I was encouraged to do this and, from a novice reading

of the DOCs that assume you are an expert on all of the various hardware and software implications, I used:

PSD=ACPI.PSD /SMP /NOD /R

as the options.

  • This resulted in the same problem with reboot requiring a full

power off to keep from locking up the hardware that I had been having with eCS 1.2R.

  • Further reading and I discovered that /NOD does not need to be

specified because it is now the default. And, reading between the lines, appears to be strongly recommended. So, I also did not turn the option off. And, since it does not need to be specified, I removed it; rebooted; got the same reboot lockup as before.

  • This left the /R option that had also appears to be recommended

because:

  • The Troubleshooting DOC says:

"11) If Ctrl-Alt-Del => PC hangs then read ACPI readme again, use /R switch"

and:

"16) PowerOff?, Shutdown via ACPI hangs computer. Try /R switch, if this doesn't help then: To shutdown system, close all applications, press Ctrl-Alt-Del, Press Power button when you see BIOS start screen."

  • The ACPI.DOC and the ACPI-SMP.DOC both say:

"Activate SMP support, edit your CONFIG.SYS: psd=acpi.psd /SMP Usually you should use switches: /SMP /R "

and ACPI.DOC describes the /R option as:

"/R Use ACPI Reset instead of kernel's reset

It is useful if running SMP kernel only. Use it if have troubles with system reboot or shutdown."

So, it would seem that /R is almost required in my case of having all the reboot problems that I've been having.

BUT, GUESS WHAT!?!? I _removed_ the /R option and now my TPad T60 reboots JUST FINE with no requirement for POWER OFF! It appears, at least to this non-techie in the power management game, that all the descriptions of the /R option are exactly REVERSED!

Note: All of this was with the eCS V2.0 RC2 install...

So, it seemed logical to try the same changes with eCS 1.2R.

After making the same changes to the eCS 1.2R system, and trying it for a while to be sure the success was not just to low usage, I'm convinced that the /R option is the cause of ALL of my problems with both 1.2R and 2.0 RC2. I'm reserving judgement on the problems with the lockups that have plagued my 1.2R environment, but those seem to also have gone away. And, they never have been a problem with the 2.0 RC2 system.

The one reason I'm a bit hesitant to proclaim victory is that I just booted back to 2.0 after running 1.2R and gathering information to further update the 2.0. And, on the initial reboot to 2.0, the system was running slow as frozen molasses. The CPU widget was showing CPU0 at over 80% and the IRQ0 load was also at 60% or more. This was with NOTHING but the desktop running. A reboot and now the CPU0 and IRQ0 are both less than 1%, CPU1 is about 0.1-0.3%. NO changes were made from one boot to the next. No explanation for all of this.

The key finding: All of these reboots after getting rid of the /R were done with no power off and no intervention. All in all; it's been a good day!

BUT, there is still one very open issue: ====> Moving from power to battery to docking station is not

working at all! [Again, this was working just fine with much earlier ACPI/APM levels and with SMP active.]

The behavior in the sequence noted above:

  • Unplug from charger: System continues to run.
  • Run on battery for a few minutes: No problem.
  • Move system to Docking Station: 100% LOCKUP! NOTHING responds.

Recovery: POWER OFF; Reboot with all volumes dirty and needing

CHKDSK to complete. But, the system did operate OK at that point. I did not try to remove from Dock w/o power off. Maybe some other time.

This behavior is totally unacceptable, and particularly troublesome since it worked just fine back in the Mar/Apr? time-frame.

So, that's the story to this point...

Some success. Not where it should be though.

Carl

comment:4 Changed 11 years ago by pasha

  • Owner changed from pasha to anonymous
  • Status changed from new to assigned

Try version 3.2 and try run as psd=acpi.psd /SMP /R /APIC (vay be need add /CD if have booting problem)

comment:5 follow-up: Changed 11 years ago by cgehr

OK... Installed 3.2.

The good news: As long as I am connected to the standard charger at boot time:

  • With Config.Sys: PSD=ACPI.PSD /SMP

the system boots OK.

Moving the system to the Docking station without changing the PSD settings:

I get a Trap 0008 [There is NO LINE: "Exception in module..."]

  • Changing Config.Sys to: PSD=ACPI.PSD /SMP /CD

Or to: PSD=ACPI.PSD /SMP /APIC /CD Still results in the same Trap 0008.

  • Moving the system back to the standard charger, and leaving

PSD=ACPI.PSD /SMP /APIC /CD

and the system boot OK.

I have not tried the '/R' yet, because that caused most of the problems I was haing before so it did not seem like a desirable option. BUT, I will try it, just because you suggested it. I just wanted to document this so far. As it stands, not being able to even USE the Docking station, unless the '/R' makes it work, I'll probably back off to the previous level I had installed, which was two back from this 3.2.

comment:6 follow-up: Changed 11 years ago by cgehr

Re: Try version 3.2 and try run as psd=acpi.psd /SMP /R /APIC (vay be need add /CD if have booting problem)

SUSPICION CONFIRMED! Adding '/R' to the PSD statement reintroduced the same problem that I documented earlier in this thread. i.e., Reboot CANNOT be done without a full power off. Yes, the system did [this time] go through the shutdown process, but when it transitioned to the reboot stage, the screen went totally blank; you can hear the CD/DVD drive being tested, but then the system completely locks up. Power off [which requires holding the button down for at least 5-7 seconds before it takes effect] is required to restart the system.

Pending some response, I will wait a SHORT time before I restore previous release. V3.2 is unacceptable as it stands.

comment:7 in reply to: ↑ 6 Changed 11 years ago by pasha

Replying to cgehr:

Re: Try version 3.2 and try run as psd=acpi.psd /SMP /R /APIC (vay be need add /CD if have booting problem)

SUSPICION CONFIRMED! Adding '/R' to the PSD statement reintroduced the same problem that I documented earlier in this thread. i.e., Reboot CANNOT be done without a full power off. Yes, the system did [this time] go through the shutdown process, but when it transitioned to the reboot stage, the screen went totally blank; you can hear the CD/DVD drive being tested, but then the system completely locks up. Power off [which requires holding the button down for at least 5-7 seconds before it takes effect] is required to restart the system.

Pending some response, I will wait a SHORT time before I restore previous release. V3.2 is unacceptable as it stands.

With /R option, need check, PowerOff?.exe turn off AC or no. If no. install acpi.psd from debug dir. After boot. Run full screen OS/2 session. Run PowerOff?.exe in this FS, then do photo of screen and attach here

comment:8 in reply to: ↑ 5 Changed 11 years ago by pasha

Replying to cgehr:

OK... Installed 3.2.

The good news: As long as I am connected to the standard charger at boot time:

  • With Config.Sys: PSD=ACPI.PSD /SMP

the system boots OK.

Moving the system to the Docking station without changing the PSD settings:

I get a Trap 0008 [There is NO LINE: "Exception in module..."]

  • Changing Config.Sys to: PSD=ACPI.PSD /SMP /CD

Or to: PSD=ACPI.PSD /SMP /APIC /CD Still results in the same Trap 0008.

  • Moving the system back to the standard charger, and leaving

PSD=ACPI.PSD /SMP /APIC /CD

and the system boot OK.

I have not tried the '/R' yet, because that caused most of the problems I was haing before so it did not seem like a desirable option. BUT, I will try it, just because you suggested it. I just wanted to document this so far. As it stands, not being able to even USE the Docking station, unless the '/R' makes it work, I'll probably back off to the previous level I had installed, which was two back from this 3.2.

What do you mean about "Dock station" and "charger" ? What a driver need for this?

comment:9 Changed 11 years ago by cgehr

Charger: The standard battery charger that plugs directly into the back of the T60 to provide power and/or recharge the battery.

Docking Station: a.k.a., ThinkPad? Advanced Dock, Part#: 250310U No special drivers that I am aware of are required, other than for additional devices that can be attached. e.g., Printer driver required for Parallel/Laser? printer.

The Dock provides:

  • Builtin power supply so the standard charger is not required. It has its own power cord; the charger [above] is not required.
  • Additional USB ports [Can also use the 3 in the TPad.]
  • Multibay for install of extra HD, CD/DVD, etc.
  • Extension of ports for WiFi?, Ethernet, Video, etc.
  • Ports for Serial, Parallel devices not in the actual TPad
  • 6-1 Media Adapter to allow access to SD, xD, MM, etc., cards

Details, including a photo, can be found at: http://www-307.ibm.com/pc/support/site.wss/document.do?sitestyle=lenovo&lndocid=MIGR-61232

If you need more specifics, let me know.

comment:10 Changed 11 years ago by pasha

Ok. I understand, that your docks HDD handled by danis506.add. As I understand you can boot with psd=acpi.psd /SMP from internal HDD. Ok. Now I need log, created by copy acpica$ acpi.log in next case:

  1. Boot from internal HDD
  2. HDD in dock station is present and power on

comment:11 Changed 11 years ago by CGehr

Sorry for the delay. [It would be nice if Trac would notify me when responses are added.]

I will get the logs that you requested.

But, I think you misunderstood the Dock. While it has the capability to have HDD and other devices, I have no devices installed in the Dock. My primary reason for the Dock is so I can easily connect to my parallel port laser printer. The TPad does not have a parallel port, so the Dock provides one. Also, I have a wired Ethernet cable attached to the Dock. When I have the TPad in the Dock, I can, if I choose to, switch to that network connection. Normally, I would only have the TPad in the Dock for long enough to do some printing, so I don't bother switching from my WiFi? connection.

So, back to the problem: The Trap occurs in the Dock when booting from the exact same HDD, same system, software, network connection, etc., as when the system is connected to the standard power charger, or running on battery. The only differences:

1) Where the power connection is made. 2) There is a parallel port available for printing.

Also, one more clarification: If I boot to eCS 1.2R while the system is in the Dock, the boot process works just fine. I switched from 1.2R because of the 'slowdown' and 'lockup' problems that started this thread. Those problems occur whether attached to the Dock or to the standard power adapter.

I hope this clarifies the configuration.

Changed 11 years ago by cgehr

ACPI Log after boot with standard charger for power. [No Dock]

comment:12 Changed 11 years ago by cgehr

I have attached the requested log for #1: Boot with the system powered by the standard battery charger.

I"m not sure how you want me to capture a log for #2: Booting with the TPad inserted in the Dock. Since the boot fails [almost immediately] with a TRAP, and the system is stopped, how do I issue the 'copy acpica$...' command. If I reboot with the battery charger, won't the log show the same as #1 above?

Carl

comment:13 Changed 11 years ago by cgehr

The following was just posted on the GenMac? NG/MailList:

On Fri, 21 Sep 2007 23:50:21 +0200, Thorolf Godawa wrote:

And the new ACPI also is not yet included in GenMAC, because this is very complex too - I don't know if and when he is able to do it.

Since I am using [successfully, BTW] TWO GenMac? supported network adapters, is this potentially part of the TRAP problem? The Docking station has a PRO/1000 [8086:109A] installed. Now, although 'installed' in the Dock and supported by the drivers, the 'active' adapter/driver is the WiFi? adapter/driver. Again, it is important to note that BOTH of these adapters with the currently installed drivers work just fine w/eCS 1.2R and with the ACPI level:

acpi.psd 244000 8-07-07 2:21a

This is NOT what I have in the eCS 2.0RC1:

acpi.psd 244943 9-14-07 5:57a

comment:14 Changed 11 years ago by pasha

Ok. W/o dock you can boot and boot is success. Next step. You inserted dock .. what is in docks? Hdd, battery, paralell port? What a driver? BTW if you use print01.sys /IRQ, try remove /IRQ.

comment:15 Changed 11 years ago by cgehr

Correct: TPad not in Dock; boot it successful.

Dock: * NO extra devices *in* the dock. No HD; No USB; No battery.

  • The Dock extends the TPad's internal Ethernet port so it can be used when the TPad is in the Dock. While the connection is there and is recognized by the eCS 1.2R boot, I am not using it; but using the WiFi? 3945ABG adapter controlled by WLAN Monitor V3.00. The WiFi? works as it should with both eCS 1.2R and with 2.0 RC2 [as long as 2.0 RC2 is not in Dock]. Driver is GenMac?:

"Experimental Version 2.1 built Jun 28 2007 13:08:10"

  • The Dock does provide a Parallel port that is not in the TPad. The Parallel port is connected to a Lexmark Optra S1650 laser printer. Two drivers are available and operate OK if booted to 1.2R: 1) Postscript: 30.746 2) IBMPCL5 [by Lexmark]: 2.640
  • Config.Sys:

BASEDEV=PRINT01.SYS

[i.e., No /IRQ is specified.]

comment:16 Changed 11 years ago by pasha

Ok. So if you use Dock, you have 2 additional device. Network adapter and paralell port? As I understand, with network all is OK. Problem in paralell port. What is IBMPCL5 ? Driver, program ? Have you par1284.sys in your config.sys ?

comment:17 Changed 11 years ago by anonymous

  • Version changed from 3.01 to 3.02

I do not understand your analysis: With eCS 2.0 RC2 and the system inserted in the Dock, the BOOT NEVER COMPLETES! I have no idea what is causing the problem. I posted the photo of the screen as it appeared after the boot crashed. I assume it is a trap of some sort. But, you had me "...install acpi.psd from debug dir..." and that generated a large number of messages that scrolled off the screen. The photo has all that was available.

Earlier, you asked about the driver for the Parallel port [i.e., for the PRINTER that is attached to the Parallel Port]. The response is: IBMPCL5 That is the NAME of the driver for the printer attached to the parallel port.

No, I do not have anything like par1284.sys in my config.sys. I have no idea what that is or what it is for.

I have not tried booting with the Ethernet cable attached directly to the TPad instead of attached via the Dock. Since there is no Parallel Port in the TPad, there is no way to test that. I'll try the E-net cable and post the result. I doubt it will be an issue.

Just to restate what I posted earlier: If I boot the system with eCS 1.2R instead of eCS 2.0 RC2, it boots just fine. The 1.2R system has exactly the same drivers for the printer and the hardwired Ethernet. The major difference is ACPI.

eCS 2.0 RC2: acpi.psd 244943 9-14-07 5:57a eCS 1.2R acpi.psd 244000 8-07-07 2:21a

comment:18 Changed 11 years ago by anonymous

Sorry the lines with the ACPI files all scrolled together:

eCS 2.0 RC2: . acpi.psd . . . 9-14-07 5:57a
eCS 1.2R: .... . acpi.psd . . . 8-07-07 2:21a

comment:19 Changed 11 years ago by pasha

"bldlevel acpi.psd", this show version.

Ok, can you boot with inserting dock and remming print01.sys ?

What I want know. What is a driver, which create problem for boot.

comment:20 Changed 11 years ago by cgehr

============= Start bldlevel acpi.psd ============== [O:\os2\boot]bldlevel acpi.psd
Build Level Display Facility Version 6.12.675 Sep 25 2001
(C) Copyright IBM Corporation 1993-2001

Signature: @#netlabs dot org:3.2#@ACPI core PSD Driver. (c) netlabs.org 20 05-2007
Vendor: netlabs dot org
Revision: 3.02
File Version: 3.2
Description: ACPI core PSD Driver. (c) netlabs.org 2005-2007

============= End bldlevel acpi.psd ==============

I also removed the Ethernet cable from the Dock and connected it direct to TPad. No problems at all.

I'll make change to Config.Sys for PRINT01, re-boot to see what happens and report back.

comment:21 Changed 11 years ago by cgehr

Rem'd PRINT01; rebooted in Dock;
Result: TRAP 0008 Photo attached: ACPI_Trap-0008.jpg

Carl

Changed 11 years ago by cgehr

Trap - TPad in Dock; Rem'd PRINT01.SYS

comment:22 Changed 11 years ago by cgehr

Just to see if it would matter, I installed ACPI 3.3.

It mattered OK... :-( TRAP 000e in OS2KRNL

Photo of Trap screen being E-Mailed from phone to eCS. Will attach when it arrives.

In the meantime, backe out to 3.2. Reboot successful.

If you want this opened as a new ticket, let me know before I attach Photo...

comment:23 Changed 11 years ago by pasha

Ok. acpi 3.3.

  1. Can you boot w/o dock and psd=acpi.psd /SMP ?
  2. Can you boot w/o dock and psd=acpi.psd
  3. Can ou boot with dock and remming all USB drivers and print01.sys

I need copy acpica$ acpi.log for boot with dock. /SMP or not /SMP don't important here.

comment:24 Changed 11 years ago by cgehr

  • ACPI V3.3 has been removed and 3.2 reinstalled. Photo of TRAP Screen for 3.3 has been attached as:

ACPI-V33_Trap000E.jpg

  • Trap 000e was NOT using the Dock. All I did was install 3.3 and reboot exactly as I have been able to run the system as long as it is not in the Dock. i.e., Using /SMP
  • How am I supposed to issue:

copy acpica$ acpi.log

when the system has stopped due to a TRAP and requires a reboot? If there is some way to do this, please provide specific instructions.

Changed 11 years ago by cgehr

Trap 000e in OS2KRNL: ACPI V3.3; /SMP; NOT in Dock

comment:25 Changed 11 years ago by pasha

Ok. step back. I seen in your attached log , that you can boot with 3.2 "PSD_install options:" /SMP" @#netlabs dot org:3.2#@ACPI core PSD Driver. (c) netlabs.org 2005-2007 Build date: Sep 14 2007 12:56:54". Now we say, that you can't boot with 3.2. So first you boot with 3.2 as boot before, then replace v 3.3, boot and give me log. Then we doing next step.

comment:26 Changed 11 years ago by guest

Yes, we do need to step back and clarify:

  • ACPI 3.2
    • ACPI.PSD /SMP Build: 14-Sep-2007
      1) Boot with TPad NOT in docking station.

Result: Boots OK. Log provided: acpi-21Sep2007#1.log

2) At your request:

Rem'd PRINT01; rebooted *in* Docking station;
Result: TRAP 0008 Photo attached: ACPI_Trap-0008.jpg No log, because I do not know how to produce one after a Trap.

  • ACPI 3.3
    • ACPI.PSD /SMP Build: 02-Oct-2007
      1) Boot with TPad NOT in docking station.

Result: Trap 000e in OS2KRNL Photo provided: ACPI-V33_Trap000E.jpg

2) Boot with TPad IN Docking Station:

NOT ATTEMPTED, because, if it Traps NOT in Dock, I'm not sure what another Trap photo will provide. Again, no log, because I don't know how to get a log after a trap.

So, I'm not sure what log/photo you want that I've not already provided. Unless, of course, you can tell me how to capture something more than a photo after a Trap.

comment:27 Changed 11 years ago by pasha

Ok.

  1. try rem run AcpiDaemon? in config.sys
  2. if fail, boot without /SMP and attach log

And I want next info:

  1. has your dockstation USB?
  2. Do you try remming all USB driver or disable USB in BIOS

Now I don't need photo of traps from you. Only say if trap is going.

comment:28 Changed 11 years ago by guest

OK, three different boots, with progressively fewer lines in Config.Sys. i.e., After first test, did not put back previous REM.

First, to answer your question about USB in the Dock:
==> Yes, there are USB ports, but none of the ports have a device inserted. Since you seem to be very hung up on the presence of USB, I must remind you that eCS 1.2R boots in the Dock without any TRAP problems. And, in addition, the USB ports can be used successfully with eCS 1.2R.

==> ALL RESULTED IN TRAP 0008
==> In each case, after the trap, simply removed the TPad from the Dock and boot was successful running on the battery.
1) REMd Run...ACPIDAEMON
2) REMd ALL USB statements.
3) Removed the '/SMP' from ACPI.PSD

I should point out one more symptom:
==> After Test #1 above, when I was modifying the Config.Sys to REM all of the USB statements, the original problem that cause this ticket to be opened, the slowdown, the 'mouse tracks' on the screen, followed by an eventual lockup of the whole system reappeared just as it had with eCS 1.2R. This caused an additional Re-Boot between #1 and #2 in order to get the REMs completely done.

Finally, since none of the three tests that you requested allowed a successful boot while in the Docking Station, I have no new ACPI log to provide.

Sorry...
Carl

comment:29 Changed 11 years ago by pasha

You have:

LNKA with possible IRQ [ 3, 4, 5, 6, 7, 9, 10,*11]

LNKB with P[ 3, 4, 5, 6, 7, 9, 10,*11]

LNKH with P[ 3, 4, 5, 6, 7, 9, 10,*11]

LNKC with P[ 3, 4, 5, 6, 7, 9, 10,*11]

LNKD with P[ 3, 4, 5, 6, 7, 9, 10,*11]

As you can see, _all_ your device in IRQ11. Can you try via LINK xxxx xx directive from acpi.cfg try use many IRQ instead 1? IRQ9 don't use for this. For example:

-------- acpi.cfg ---------

LINK LNKC 11

LINK LNKB 10

LINK LNKH 5

LINK LNKC 4

LINK LNKD 7

------------ end ------------

And, update pls acpi.psd to 3.3 version

comment:30 Changed 11 years ago by guest

Since I have no clue what the IRQ issues are that you are trying to resolve, I simply copied the list of LINK statements you provided into ACPI.CFG nad rebooted. Double dose of BAD NEWS:
1) Still got the TRAP 0008 when in the Dock.
2) Worse, when I rebooted back on the regular charger, my WiFi? adapter would not initialize. After WLAN tried for whatever its timeout value is, it gives up and turns the radio off. I turned the radio on; retried scan for connection; same result. So, I put the ACPI.CFG back the way it was, i.e., No LINKs [in fact, it is all comments], and rebooted. Back to normal as it was before.

I did NOT retry ACPI.PSD V3.3 since my first/last attempt with that resulted in the 'TRAP 000e in OS2KRNL' reported earlier. And, since 3.3 traps even not in the Dock, it does not seem worth the effort to install and then have to back off again.

If you have some specific IRQ that you'd like changed, I guess I can try that. But, I'll need specific instructions since, again, I don't have a clue where to start.

Carl

comment:31 Changed 11 years ago by pasha

What is v3.3? You give trap in any case?

  1. /SMP /APIC
  2. w/o options
  3. w/o apm.add
  4. w/o acpi.psd and apm.add
  5. in Uni kernel

About trap to me interested stage, After what trap? load driver, go to pmshell

comment:32 Changed 11 years ago by guest

Sorry, but I feel like I'm chasing a random number...

I posted photo and results of 3.3:
10/05/07 09:35:00 changed by cgehr
thru
10/09/07 05:20:12 changed by guest

I've tried with all and none of the options on ACPI.PSD. [See above.] Essentially, the options made no difference in the results. In particular, with 3.3, the Trap was in the Kernel. The Trap occurs, in ALL cases, in the very early stages of the boot process; before any drivers or other messages appear on the screen. i.e., The Traps are almost immediately after the 'boot blob' disappears.

Early in this ticket, you asked me to run the debug version of ACPI.PSD. There were a LOT of messages that scrolled off the screen. All I could photograph for you was the last couple of line that remained at the top of the screen. Is there some way to capture the entire log so that you can gather real symptoms instead of having me go through a bunch of trial and error tests that all end up with a Trap 0008 and no way to capture more data for you?

I don't mean to sound ungrateful, but we're just not getting anywhere with this approach. There has to be a better way...

comment:33 Changed 11 years ago by pasha

I don't need in photo with kernel trap. I need in acpi.log. This log going to screen if acpi.psd from debug version. What is a photo, which help me. Install debug kernel, install acpi.psd from debug directory, remove \os2logo from boot drive, add \AltF2On.$$$ to boot drive. When freeze boot - make photo.

Any way is - send to me memory dump

Now I wnat see you rmview /irq, when you boot with os2apic.psd.

Here I see, that all your problem is in IRQ11 for all device. So we have any trap, trap 8 e.t.c.

comment:34 Changed 11 years ago by guest

  • In looking for a kernel update, the latest kernel that I have, is:

Archive: ACPI-KERNEL-20070123.ZIP

Length Method Size Ratio Date Time CRC-32 Name


0 Stored 0 0% 01-23-07 05:02 00000000 debug/

1406071 Defl:N 788172 44% 08-11-05 11:50 5fc49ca9 debug/os2krnl
1273923 Defl:N 713259 44% 08-11-05 11:49 3968fa08 os2krnl

344 Defl:N 248 28% 01-23-07 05:24 6de84a44 readme


2680338 1501679 44% 4 files

This seems rather old 11-Aug-2005], but if it is the latest, I'll try to use it. [BTW, it would sure be nice if TRAC would provide NONproportional fonts and CRLFs so the spacing would not be messed up like the above.]

  • I will attach RMView-IRQ.Txt. n.b., FWIW, I made the change that you suggested, spreading the IRQs out. It made no difference. Still got the Trap 0008. Note: The RMView list is without the IRQ changes. It's the way I have been running this system since I got it in Nov, and to repeat: eCS 1.2R does NOT have a problem with this setup. eCS 1.2R boots OK in the Dock. Only eCS 2.0 RC2 with the ACPIs starting with ACPI-20070914 has had this boot-trap problem in the Dock. And, the problem is ONLY in the Dock.
  • You said:

"send to me memory dump"

I have no idea what memory dump you want, nor how to obtain it. I've never had to get a memory dump before. Will the debug kernel provide it? Where do I find it?

  • Is there no way to get the ACPI Log to pause during the boot? Or, better yet, send it to a file for retrieval? If not, what good is it?

Changed 11 years ago by guest

Changed 11 years ago by guest

comment:35 Changed 11 years ago by pasha

"send to me memory dump"

You can type help trapdump and read about memory dump. This dump creates by any kernel, mean debug and nondebug

comment:36 Changed 11 years ago by guest

WHERE do I "type trapdump"?

If I do it in the TRAC 'Search' all I get is this ticket?

comment:37 Changed 11 years ago by pasha

open windowed cmd prompt, type help trapdump, then press enter. read help about trapdump.

comment:38 Changed 11 years ago by eco

  • Resolution set to fixed
  • Status changed from assigned to closed

OK, now your notebooks works stable, there are troubles with Dock. I keep the ticket 139 opened (trap because of Dock; we think that USB drivers should be fixed) http://svn.netlabs.org/acpi/ticket/139 but close your ticket.

comment:39 Changed 11 years ago by guest

  • Resolution fixed deleted
  • Status changed from closed to reopened

WADR, how is it that you concluded the system is stable? And, I'm not sure why you think "...the USB drivers should be fixed." I have been tied up and out of town for the last couple of weeks. Part of that time was installing eCS RC2 on an identical system to mine. One of the problems I had to address was PCMCIA not working. I created the following summary of what I discovered.

Starting on a whoie new slant on PCMCIA card issues that started my investigations...

I just discovered that there appears to be a minimum level of ACPI required to get PCMCIA to work. Here's the process I went through.

1) Installed eCS 2.0 RC2 with the CD level of ACPI. The files are

all dated 24-Aug-2007; an important reference as you will see later.

2) I updated almost every other component EXCEPT ACPI to the latest

levels: GenMac?, xWLAN, DaniDrivers?, USB, etc.

3) Two key points found during my testing at this level:

  • My T60 would boot just fine in the Advanced Dock.
  • My PCMCIA Fax-Modem does not respond to either PMFax nor the In-Joy dialer.
  • I cannot access a USB attached WD Passport HD [160GB] that is formatted as a single FAT32 partition.

BUT, on my other T60 with the same PCMCIA, and the same drivers, but with the next level of ACPI [Dated 14-Sep-2007] installed:

  • My T60 will NOT boot in the Advanced Dock.
  • My PCMCIA Fax-Modem works just fine with both PMFax and the In-Joy dialer.
  • I CAN access a USB attached WD Passport HD [160GB] that is formatted as a single FAT32 partition with no problems at all.

So, just moving from the ACPI level of 24-Aug-2007 to the 14-Sep-2007 level, toggles the three above functions. It would not surprise me that, if you investigate the ACPI at the Sept level, moving between the above two levels indicated may significantly change the overall behavior.

So, whatever was done between 24-Aug-2007 and 14-Sep-2007 had some clearly good effects on PCMCIA, USB, FAT32 [possibly related to USB fixes]; BUT it is absolutely that level change that prohibits the system from booting in a docking station. I have moved my own T60 to ACPI 3.03. The 'improvements' mentioned still work; the boot in an Advanced Dock still fails with a TRAP-0008.

comment:40 Changed 11 years ago by pasha

Try pls with acpi.psd 3.5. I need log from this boot (As I understand you can boot w/o dock station)

For Dock station I need:

  1. Your config.sys
  1. Photo of screen with acpi.psd from debug directory, debug kernel and created file AltF2On.$$$ at root of boot drive.

comment:41 Changed 10 years ago by guest

I was all set to post the items requested above...

Expecting to just get diagnostic info requested, I inserted the T60 into the Advanced Dock after installing ACPI V3.05. It booted with NO PROBLEMS AT ALL!

To be sure the system is fully functional; a few tests:

  • Network [WiFi?] came up and just worked. [This was the default since it was last used that way.]
  • I printed a document from Open Office to a PDF. No problems. Printed the PDF file to the parallel printer connected to the Dock; no problems.
  • Turned the WiFi? 'radio' OFF; used the ActEnet?.Cmd file to start the Ethernet wired connection. It took a couple of runs of the command to get the switch to 'take' but itdid connect [with a different IP address as expected]. Possibly I was just impatient and it might have worked with the first run of the command. Also, there may be another process that does not require the Cmd file, but at least this known process worked.
  • Reloaded some pages in SeaMonkey? without restarting it; they loaded fine[[BR]]
  • Told PMMail/2 to fetch mail from all SEVEN (yes, 7) E-Mail accounts with the Ethernet connection. WORKED!

So, I left the system in the Dock overnight, just to be sure it would continue to function.

This morning, the system had continued to run without incident; checking mail and automatic Web page reloads.

To complete the cycle I switched back to WiFi?:

  • Enabled the WiFi? radio.
    • xWLAN automatically reconfigured to wireless.
    • Objected, as expected, to both interfaces being connected.
    • Disabled the Ethernet connection, enabled WiFi?. It even reset to the original IP address for WiFi?.
  • To move the system, I just unlocked the Dock and ejected the system unit. It kept running on the battery and now working via the standard battery charger/AC adapter without a re-boot.

So, thank you for all the updates and fixes. There are still possibly some issues with suspend, screen not blanking after a given time interval or with the screensaver, but at least [after almost 13 months!] the T60 is at least usable. Still no sound, but usable.
Carl

comment:42 Changed 10 years ago by eco

  • Resolution set to fixed
  • Status changed from reopened to closed

OK

the problem may popup again, so create new ticket when testing new versions of ACPI, link to this ticket if something goes wrong.

Note: See TracTickets for help on using tickets.